package puma.database;

/*import Synchronisierbar;
import Liste;
import StringDaten;
import DatenbankKern;
import DatenbankException; */
import java.util.NoSuchElementException;
import java.sql.SQLException;
import java.io.SyncFailedException;


public class Publikation extends Synchronisierbar {

  private String typ;
  private Liste datenfelder;
  private Liste originaldaten;
  private static final String identifier = "SIGNATUR";

  public Publikation(String neuerTyp, Liste neueDaten) {
    datenfelder = originaldaten = neueDaten;
    typ = neuerTyp;
  }

  public void aendereTyp(String neuerTyp) {
    typ = neuerTyp;
  }

  public void synchronisieren(boolean force) throws SyncFailedException {
    if (geaendert() || force) {
      try {
        String signatur = originaldaten.Suchen(identifier).Inhalt();
        DatenbankKern.getInstance().PublAendern(signatur,datenfelder);
      } catch (NoSuchElementException e) {
        throw new SyncFailedException("Interner Fehler : Keine Signatur gefunden");
      } catch (DatenbankException e) {
        throw new SyncFailedException("Datenbank-Fehler");
      }
    }
  }

  public boolean geaendert() {
    return !datenfelder.equals(originaldaten);
  }

  public void neu(String neuerTyp) {
    datenfelder.Neu();
    originaldaten.Neu();
    typ = neuerTyp;
  }

  public Liste inhalt() { return datenfelder; }
  public String welcherTyp() { return typ; }
}
