// #######################################################################
// ### KernTest3.java                                                  ###
// ### Test des Datenbank-Kerns                                        ###
// ### Verantwortlich: Thomas Dreibholz, Dreibholz@bigfoot.com         ###
// #######################################################################


import java.io.*;
import java.sql.*;

import puma.database.DatenbankKern;
import puma.database.Liste;
import puma.database.StringDaten;
import puma.database.IntegerDaten;


// Test-Klasse
class KernTest3
{
   public static void main(String args[]) {
      try {
         // ****** Singleton-Pattern: Datenbank-Kern laden ***************
         System.out.println("Lade Kern...");
         Class.forName("DatenbankKern");
         System.out.println("Kern geladen!");
         DatenbankKern kern = DatenbankKern.getInstance();

         
         // ****** Tests **************************************************


         System.out.println("\n*** Instanzen von Publikation suchen *******\n");
         Liste y = kern.InstanzenVonPubl("Sig002");
         System.out.println("*** Ergebnis ********************************");
         y.Ausgabe();

         System.out.println("\n*** Instanz suchen *************************\n");         
         Liste x = kern.InstanzSuchen("Inv0002");
         System.out.println("*** Ergebnis ********************************");
         x.Ausgabe();
                  
         System.out.println("\n*** Instanz ndern *************************\n");
         x.Loeschen("PERSON_ID");         
         x.Anfuegen(new IntegerDaten("PERSON_ID",1000));
         kern.InstanzAendern("Inv0002",x);

         System.out.println("\n*** Instanzstatus ndern *******************\n");
         kern.InstanzStatusAendern("Inv0003",1000,"AUSGELIEHEN");
         kern.InstanzStatusAendern("Inv0003",0,"VERFUEGBAR");
         kern.InstanzStatusAendern("Inv0003",1000,"AUSGELIEHEN");
         kern.InstanzStatusAendern("Inv0003",1002,"AUSGELIEHEN");
         kern.InstanzStatusAendern("Inv0003",1000,"AUSGELIEHEN");
         kern.InstanzStatusAendern("Inv0003",1002,"VERSCHOLLEN");

         kern.InstanzStatusAendern("Inv0004",1002,"AUSGELIEHEN");
         kern.InstanzStatusAendern("Inv0005",1002,"AUSGELIEHEN");
         kern.InstanzStatusAendern("Inv0006",1002,"AUSGELIEHEN");
         
         System.out.println("\n*** Instanz lschen ************************\n");
         kern.InstanzLoeschen("Inv0001");
         
         System.out.println("\n*** Ausleihliste ***************************\n");
         kern.PersonAusleihliste(1001).Ausgabe();
                 
         // ***************************************************************         
      } catch(Exception e) {
         System.err.println("FEHLER: " + e);
      }
   }  
}