package puma.control;

/** Command, das Suche nach Publikationen umsetzt
 *  @author Sven Mller
 */
public class B_SuchenCmd extends Command {

    /** Standard-Konstruktor.
    * @param serverApp  Ein Rckverweis auf die aufrufende Server-Instanz.
    */         
   public B_SuchenCmd(ServerApplication serverApp) {
      super(serverApp);
   }
   
  /** Fhrt die dem Command zugeordnete Aktion aus.
    *  
    * Es wird ein neues Objekt vom Typ B_Suchen erzeugt. Diesem wird im
    * Konstruktor ein Datensatz vom Typ Liste (der Suchschlssel) bergeben, 
    * der mittels <i>in</i> gewonnen wird.
    * Mit <i>out</i> wird das Ergebnis in das Ausgabeformat gebracht.
    *
    * @see B_Suchen
    * @param in Objekt, das Input-Daten liefert.
    * @param out Objekt, das fr die Darstellung der Output-Daten sorgt.
    */               
   public void execute(InType in, OutType out) {
      try {
         B_Suchen searchObj = new B_Suchen(in.getPublikation() );
         out.setPublikationArray(
            searchObj.deliverResult(), true);
      } catch (Exception e) { out.createErrorMsg(e); }
   }   

}
